ntlm_type2(3)

NAME
ntlm_type2 -

SYNOPSIS

#include <heimntlm.h>

  Data Fields
uint32_t flags
char * targetname
struct ntlm_buf targetinfo
unsigned char challange [8]
uint32_t context [2]
uint32_t os [2]

Detailed Description

Struct for the NTLM type2 message info, the strings is assumed to be in UTF8. When filled in by the library it should be freed with heim_ntlm_free_type2().

Examples:

test_ntlm.c.

Field Documentation

  uint32_t ntlm_type2::flags

Examples:
test_ntlm.c.

  char* ntlm_type2::targetname

Examples:
test_ntlm.c.

  struct ntlm_buf ntlm_type2::targetinfo [read]

Examples:
test_ntlm.c.

  unsigned char ntlm_type2::challange[8]

Examples:
test_ntlm.c.

  uint32_t ntlm_type2::context[2]

  uint32_t ntlm_type2::os[2]

Author

Generated automatically by Doxygen for Heimdalntlmlibrary from the source code.